AuboStudio SDK 0.6.3

Public 成员函数 | Private 成员函数 | Private 属性 | 友元 | 所有成员列表
arcs::aubo_scope::ProgramContributionConfiguration类 参考

Provides access to configure the properties of an installation node contribution/ 更多...

`#include <program_contribution_configuration.h>`

## Public 成员函数
| ProgramContributionConfiguration (ProgramContributionConfiguration &f)
| ProgramContributionConfiguration (ProgramContributionConfiguration &&f)
virtual | ~ProgramContributionConfiguration ()
void | setChildrenAllowed (bool childrenAllowed)
| If set to `true` it is possible for the program node to have child nodes. 更多...
void | setChildrenAllowedOnly (const std::vector< std::string > &childrenList)
void | setUserInsertable (bool userInsertable)
| If set to `false` this program node will not appear in the Program Tab in AuboScope and can not be inserted in the program tree by the end user. 更多...
void | setDeprecated (bool deprecated)
| If set to `true` it is not possible for the end user to create new program nodes of this type. 更多...
void | setDisplayOrderId (double displayOrderId)
| Set the display order id for this type of program node contribution. 更多...
void | setAllowBreakpointOnNode (bool isBreakpointAllowed)
void | setAllowBreakpointOnChildNodesInSubtree (bool isBreakpointOnChildNodesAllowed)
void | setAllowStartFromNode (bool isStartFromNodeAllowed)
void | setAllowStartFromChildNodesInSubtree (bool isStartFromChildNodesAllowed)
void | setAllowInsertOnlyIntoNodes (const std::vector< std::string > &parentNodeNames)
| Configure parent node of this node. 更多...

## Private 成员函数
| ProgramContributionConfiguration ()

## Private 属性
void * | d_ { nullptr }

## 友元
class | DataSwitch

## 详细描述

Provides access to configure the properties of an installation node contribution/

在文件 program_contribution_configuration.h 第 19 行定义.

## 构造及析构函数说明

## ◆ ProgramContributionConfiguration() [1/3]

arcs::aubo_scope::ProgramContributionConfiguration::ProgramContributionConfiguration | ( | ProgramContributionConfiguration & | f | ) |

## ◆ ProgramContributionConfiguration() [2/3]

arcs::aubo_scope::ProgramContributionConfiguration::ProgramContributionConfiguration | ( | ProgramContributionConfiguration && | f | ) |

## ◆ ~ProgramContributionConfiguration()

virtual arcs::aubo_scope::ProgramContributionConfiguration::~ProgramContributionConfiguration | ( |  | ) |
| virtual

## ◆ ProgramContributionConfiguration() [3/3]

arcs::aubo_scope::ProgramContributionConfiguration::ProgramContributionConfiguration | ( |  | ) |
| private

## 成员函数说明

## ◆ setAllowBreakpointOnChildNodesInSubtree()

void arcs::aubo_scope::ProgramContributionConfiguration::setAllowBreakpointOnChildNodesInSubtree | ( | bool | isBreakpointOnChildNodesAllowed | ) |

Configure whether or not the end user is allowed to set a breakpoint on or single step any of the child nodes in the sub-tree under the AuboCap program node. Note that it will only be possible to set a breakpoint on a child node if the child node itself supports breakpoints.

The default value is `false`.

参数

  isBreakpointOnChildNodesAllowed | `true` if it should be allowed to set a breakpoint on or single step any of the child nodes in the sub-tree under this AuboCap program node. If it should be disallowed, the value must be `false`.

## ◆ setAllowBreakpointOnNode()

void arcs::aubo_scope::ProgramContributionConfiguration::setAllowBreakpointOnNode | ( | bool | isBreakpointAllowed | ) |

Configure whether or not the end user is allowed to set a breakpoint on or single step the AuboCap program node.

The default value is `true`.

参数

  isBreakpointAllowed | `true` if it should be allowed to set a breakpoint on or single step this AuboCap program node. If it should be disallowed, the value must be `false`.

## ◆ setAllowInsertOnlyIntoNodes()

void arcs::aubo_scope::ProgramContributionConfiguration::setAllowInsertOnlyIntoNodes | ( | const std::vector< std::string > & | parentNodeNames | ) |

Configure parent node of this node.

End user cannot insert this node to

The default value is `""`.

参数

  parentNodeName |

## ◆ setAllowStartFromChildNodesInSubtree()

void arcs::aubo_scope::ProgramContributionConfiguration::setAllowStartFromChildNodesInSubtree | ( | bool | isStartFromChildNodesAllowed | ) |

Configure whether or not the end user can start the program directly from any selected child node in the sub-tree under the AuboCap program node. Note that it will only be possible to start from a selected child node if the child node itself supports starting from the child node.

The default value is `false`.

参数

  isStartFromChildNodesAllowed | `true` if it should be allowed to start the program directly from any child program node. If it should be disallowed, the value must be `false`..

## ◆ setAllowStartFromNode()

void arcs::aubo_scope::ProgramContributionConfiguration::setAllowStartFromNode | ( | bool | isStartFromNodeAllowed | ) |

Configure whether or not the end user can start the program from the AuboCap program node when it is selected in the program tree.

The default value is `true`.

参数

  isStartFromNodeAllowed | `true` if it should be allowed to start the program directly from this AuboCap program node. If it should be disallowed, the value must be `false`.

## ◆ setChildrenAllowed()

void arcs::aubo_scope::ProgramContributionConfiguration::setChildrenAllowed | ( | bool | childrenAllowed | ) |

If set to `true` it is possible for the program node to have child nodes.

The default value is `false`.

参数

  childrenAllowed | determines whether this node can have child nodes

## ◆ setChildrenAllowedOnly()

void arcs::aubo_scope::ProgramContributionConfiguration::setChildrenAllowedOnly | ( | const std::vector< std::string > & | childrenList | ) |

## ◆ setDeprecated()

void arcs::aubo_scope::ProgramContributionConfiguration::setDeprecated | ( | bool | deprecated | ) |

If set to `true` it is not possible for the end user to create new program nodes of this type.

Loading of existing programs will however still be supported for this program node.

The default value is `false`.

参数

  deprecated | determines whether this node is deprecated

## ◆ setDisplayOrderId()

void arcs::aubo_scope::ProgramContributionConfiguration::setDisplayOrderId | ( | double | displayOrderId | ) |

Set the display order id for this type of program node contribution.

This makes it possible to specify how all the program node contributions from a AuboCap should be ordered/sorted in AuboScope.

All program node contributions from a AuboCap will be grouped together and sorted (in ascending order) according to their display order id.

The default value is 0.0. If the display order id for all program node contributions in a AuboCap have the default value, the standard built-in sorting in AuboScope will be used.

参数

  displayOrderId | Determines the display order of the AuboCap program node type

## ◆ setUserInsertable()

void arcs::aubo_scope::ProgramContributionConfiguration::setUserInsertable | ( | bool | userInsertable | ) |

If set to `false` this program node will not appear in the Program Tab in AuboScope and can not be inserted in the program tree by the end user.

It can only be inserted programmatically using the ProgramNodeFactory. This also means, it can not be inserted using copy/paste of that node directly. It can however be inserted by copy/paste of an ancestor of such a node.

The default value is `true`.

参数

  userInsertable | determines whether the end user can insert this node

## 友元及相关函数文档

## ◆ DataSwitch

friend class DataSwitch
| friend

在文件 program_contribution_configuration.h 第 174 行定义.

## 类成员变量说明

## ◆ d_

void* arcs::aubo_scope::ProgramContributionConfiguration::d_ { nullptr }
| private

在文件 program_contribution_configuration.h 第 175 行定义.

该类的文档由以下文件生成:

- include/aubo_caps/contribution/program/program_contribution_configuration.h